--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_receive/zfs_receive_003_pos.ksh	Wed Aug 31 16:20:39 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_receive/zfs_receive_003_pos.ksh	Wed Aug 31 16:20:39 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -45,10 +49,10 @@
 function cleanup
 {
 	for snap in $snap2 $snap1; do
-		datasetexists $snap && log_must $ZFS destroy -rf $snap
+		datasetexists $snap && log_must zfs destroy -rf $snap
 	done
 	for file in $ibackup $mntpnt/file1 $mntpnt/file2; do
-		[[ -f $file ]] && log_must $RM -f $file
+		[[ -f $file ]] && log_must rm -f $file
 	done
 }
 
@@ -59,31 +63,31 @@
 fs=$TESTPOOL/$TESTFS; snap1=$fs@snap1; snap2=$fs@snap2
 
 mntpnt=$(get_prop mountpoint $fs) || log_fail "get_prop mountpoint $fs"
-log_must $MKFILE 10m $mntpnt/file1
-log_must $ZFS snapshot $snap1
-log_must $MKFILE 10m $mntpnt/file2
-log_must $ZFS snapshot $snap2
+log_must mkfile 10m $mntpnt/file1
+log_must zfs snapshot $snap1
+log_must mkfile 10m $mntpnt/file2
+log_must zfs snapshot $snap2
 
-log_must eval "$ZFS send -i $snap1 $snap2 > $ibackup"
+log_must eval "zfs send -i $snap1 $snap2 > $ibackup"
 
 log_note "Verify 'zfs receive' succeed, if filesystem was not modified."
-log_must $ZFS rollback -r $snap1
-log_must eval "$ZFS receive $fs < $ibackup"
+log_must zfs rollback -r $snap1
+log_must eval "zfs receive $fs < $ibackup"
 if [[ ! -f $mntpnt/file1 || ! -f $mntpnt/file2 ]]; then
-	log_fail "'$ZFS receive' failed."
+	log_fail "'zfs receive' failed."
 fi
 
 log_note "Verify 'zfs receive' failed if filesystem was modified."
-log_must $ZFS rollback -r $snap1
-log_must $RM -rf $mntpnt/file1
-log_mustnot eval "$ZFS receive $fs < $ibackup"
+log_must zfs rollback -r $snap1
+log_must rm -rf $mntpnt/file1
+log_mustnot eval "zfs receive $fs < $ibackup"
 
 # Verify 'zfs receive -F' to force rollback whatever filesystem was modified.
-log_must $ZFS rollback -r $snap1
-log_must $RM -rf $mntpnt/file1
-log_must eval "$ZFS receive -F $fs < $ibackup"
+log_must zfs rollback -r $snap1
+log_must rm -rf $mntpnt/file1
+log_must eval "zfs receive -F $fs < $ibackup"
 if [[ ! -f $mntpnt/file1 || ! -f $mntpnt/file2 ]]; then
-	log_fail "'$ZFS receive -F' failed."
+	log_fail "'zfs receive -F' failed."
 fi
 
 log_pass "'zfs recv -F' to force rollback passed."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_receive/zfs_receive_004_neg.ksh	Wed Aug 31 16:20:39 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_receive/zfs_receive_004_neg.ksh	Wed Aug 31 16:20:39 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_root/cli_common.kshlib
@@ -50,12 +50,12 @@
 
 	for snap in $init_snap $inc_snap $init_topsnap $inc_topsnap ; do
 		snapexists $snap && \
-			log_must $ZFS destroy -Rf $snap
+			log_must zfs destroy -Rf $snap
 	done
 
 	for bkup in $full_bkup $inc_bkup $full_topbkup $inc_topbkup; do
 		[[ -e $bkup ]] && \
-			log_must $RM -f $bkup
+			log_must rm -f $bkup
 	done
 }
 
@@ -72,23 +72,23 @@
 full_topbkup=/var/tmp/full_topbkup.$$
 inc_topbkup=/var/tmp/inc_topbkup.$$
 
-log_must $ZFS snapshot $init_topsnap
-log_must eval "$ZFS send $init_topsnap > $full_topbkup"
-log_must $TOUCH /$TESTPOOL/foo
+log_must zfs snapshot $init_topsnap
+log_must eval "zfs send $init_topsnap > $full_topbkup"
+log_must touch /$TESTPOOL/foo
 
-log_must $ZFS snapshot $inc_topsnap
-log_must eval "$ZFS send -i $init_topsnap $inc_topsnap > $inc_topbkup"
-log_must $TOUCH /$TESTPOOL/bar
+log_must zfs snapshot $inc_topsnap
+log_must eval "zfs send -i $init_topsnap $inc_topsnap > $inc_topbkup"
+log_must touch /$TESTPOOL/bar
 
-log_must $ZFS snapshot $init_snap
-log_must eval "$ZFS send $init_snap > $full_bkup"
-log_must $TOUCH /$TESTDIR/foo
+log_must zfs snapshot $init_snap
+log_must eval "zfs send $init_snap > $full_bkup"
+log_must touch /$TESTDIR/foo
 
-log_must $ZFS snapshot $inc_snap
-log_must eval "$ZFS send -i $init_snap $inc_snap > $inc_bkup"
-log_must $TOUCH /$TESTDIR/bar
+log_must zfs snapshot $inc_snap
+log_must eval "zfs send -i $init_snap $inc_snap > $inc_bkup"
+log_must touch /$TESTDIR/bar
 
-$SYNC
+sync
 
 set -A badargs \
     "" "nonexistent-snap" "blah@blah" "-d" "-d nonexistent-dataset" \
@@ -106,7 +106,7 @@
 while (( i < ${#badargs[*]} ))
 do
 	for bkup in $full_bkup $inc_bkup $full_topbkup $inc_topbkup ; do
-		log_mustnot eval "$ZFS receive ${badargs[i]} < $bkup"
+		log_mustnot eval "zfs receive ${badargs[i]} < $bkup"
 	done
 
 	(( i = i + 1 ))
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_receive/zfs_receive_005_neg.ksh	Wed Aug 31 16:20:39 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_receive/zfs_receive_005_neg.ksh	Wed Aug 31 16:20:39 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/cli_root/cli_common.kshlib
 
 #
@@ -50,15 +54,15 @@
 
 	for snap in $init_snap $inc_snap; do
 		snapexists $snap && \
-			log_must $ZFS destroy -f $snap
+			log_must zfs destroy -f $snap
 	done
 
 	datasetexists $rst_root && \
-		log_must $ZFS destroy -Rf $rst_root
+		log_must zfs destroy -Rf $rst_root
 
 	for bkup in $full_bkup $inc_bkup; do
 		[[ -e $bkup ]] && \
-			log_must $RM -f $bkup
+			log_must rm -f $bkup
 	done
 }
 
@@ -73,23 +77,23 @@
 full_bkup=/var/tmp/full_bkup.$$
 inc_bkup=/var/tmp/inc_bkup.$$
 
-log_must $ZFS create $rst_root
-log_must $ZFS snapshot $init_snap
-log_must eval "$ZFS send $init_snap > $full_bkup"
+log_must zfs create $rst_root
+log_must zfs snapshot $init_snap
+log_must eval "zfs send $init_snap > $full_bkup"
 
 log_note "'zfs receive' fails with invalid send streams."
-log_mustnot eval "$ZFS receive $rst_init_snap < /dev/zero"
-log_mustnot eval "$ZFS receive -d $rst_root </dev/zero"
+log_mustnot eval "zfs receive $rst_init_snap < /dev/zero"
+log_mustnot eval "zfs receive -d $rst_root </dev/zero"
 
-log_must eval "$ZFS receive $rst_init_snap < $full_bkup"
+log_must eval "zfs receive $rst_init_snap < $full_bkup"
 
 log_note "Unmatched send stream with restoring filesystem" \
 	" cannot be received."
-log_must $ZFS snapshot $inc_snap
-log_must eval "$ZFS send -i $init_snap $inc_snap > $inc_bkup"
+log_must zfs snapshot $inc_snap
+log_must eval "zfs send -i $init_snap $inc_snap > $inc_bkup"
 #make changes on the restoring filesystem
-log_must $TOUCH $ZFSROOT/$rst_root/$TESTFS/tmpfile
-log_mustnot eval "$ZFS receive $rst_inc_snap < $inc_bkup"
-log_mustnot eval "$ZFS receive -d $rst_root < $inc_bkup"
+log_must touch $ZFSROOT/$rst_root/$TESTFS/tmpfile
+log_mustnot eval "zfs receive $rst_inc_snap < $inc_bkup"
+log_mustnot eval "zfs receive -d $rst_root < $inc_bkup"
 
 log_pass "Unsupported scenarios to 'zfs receive' fail as expected."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_receive/zfs_receive_006_pos.ksh	Wed Aug 31 16:20:39 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_receive/zfs_receive_006_pos.ksh	Wed Aug 31 16:20:39 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -47,18 +51,18 @@
 function cleanup
 {
 	for snap in $snap2 $snap1; do
-		datasetexists $snap && log_must $ZFS destroy -rf $snap
+		datasetexists $snap && log_must zfs destroy -rf $snap
 	done
 	for file in $fbackup1 $fbackup2 $mntpnt/file1 $mntpnt/file2; do
-		[[ -f $file ]] && log_must $RM -f $file
+		[[ -f $file ]] && log_must rm -f $file
 	done
 
 	if is_global_zone; then
 		datasetexists $TESTPOOL/$TESTFS/$TESTFS1 && \
-			log_must $ZFS destroy -rf $TESTPOOL/$TESTFS/$TESTFS1
+			log_must zfs destroy -rf $TESTPOOL/$TESTFS/$TESTFS1
 	else
 		datasetexists $TESTPOOL/${ZONE_CTR}0 && \
-			log_must $ZFS destroy -rf $TESTPOOL/${ZONE_CTR}0
+			log_must zfs destroy -rf $TESTPOOL/${ZONE_CTR}0
 	fi
 
 }
@@ -75,22 +79,22 @@
 fbackup2=/var/tmp/fbackup2.$$
 
 datasetexists $ancestor_fs || \
-	log_must $ZFS create $ancestor_fs
-log_must $ZFS create $fs
+	log_must zfs create $ancestor_fs
+log_must zfs create $fs
 
 mntpnt=$(get_prop mountpoint $fs) || log_fail "get_prop mountpoint $fs"
-log_must $MKFILE 10m $mntpnt/file1
-log_must $ZFS snapshot $snap1
-log_must $MKFILE 10m $mntpnt/file2
-log_must $ZFS snapshot $snap2
+log_must mkfile 10m $mntpnt/file1
+log_must zfs snapshot $snap1
+log_must mkfile 10m $mntpnt/file2
+log_must zfs snapshot $snap2
 
-log_must eval "$ZFS send $snap1 > $fbackup1"
-log_must eval "$ZFS send $snap2 > $fbackup2"
+log_must eval "zfs send $snap1 > $fbackup1"
+log_must eval "zfs send $snap2 > $fbackup2"
 
 log_note "Verify 'zfs receive -d' succeed and create ancestor filesystem \
 	 if it did not exist. "
-log_must $ZFS destroy -rf $ancestor_fs
-log_must eval "$ZFS receive -d $TESTPOOL < $fbackup1"
+log_must zfs destroy -rf $ancestor_fs
+log_must eval "zfs receive -d $TESTPOOL < $fbackup1"
 is_global_zone || ancestor_fs=$TESTPOOL/${ZONE_CTR}0/$TESTFS
 datasetexists $ancestor_fs || \
 	log_fail "ancestor filesystem is not created"
@@ -97,8 +101,8 @@
 
 log_note "Verify 'zfs receive -d' still succeed if ancestor filesystem exists"
 is_global_zone || fs=$TESTPOOL/${ZONE_CTR}0/$TESTFS/$TESTFS1
-log_must $ZFS destroy -rf $fs
-log_must eval "$ZFS receive -d $TESTPOOL < $fbackup2"
+log_must zfs destroy -rf $fs
+log_must eval "zfs receive -d $TESTPOOL < $fbackup2"
 
 log_pass "'zfs recv -d <fs>' should succeed no matter ancestor filesystem \
 	exists."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_receive/zfs_receive_007_neg.ksh	Wed Aug 31 16:20:39 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_receive/zfs_receive_007_neg.ksh	Wed Aug 31 16:20:39 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -43,10 +47,10 @@
 function cleanup
 {
 	for snap in $snap2 $snap1; do
-		datasetexists $snap && log_must $ZFS destroy -rf $snap
+		datasetexists $snap && log_must zfs destroy -rf $snap
 	done
 	for file in $ibackup $mntpnt/file1 $mntpnt/file2; do
-		[[ -f $file ]] && log_must $RM -f $file
+		[[ -f $file ]] && log_must rm -f $file
 	done
 }
 
@@ -58,23 +62,23 @@
 snap2=$fs@snap2
 ibackup=/var/tmp/ibackup.$$
 
-datasetexists $fs || log_must $ZFS create $fs
+datasetexists $fs || log_must zfs create $fs
 
 mntpnt=$(get_prop mountpoint $fs) || log_fail "get_prop mountpoint $fs"
-log_must $MKFILE 10m $mntpnt/file1
-log_must $ZFS snapshot $snap1
-log_must $MKFILE 10m $mntpnt/file2
-log_must $ZFS snapshot $snap2
+log_must mkfile 10m $mntpnt/file1
+log_must zfs snapshot $snap1
+log_must mkfile 10m $mntpnt/file2
+log_must zfs snapshot $snap2
 
-log_must eval "$ZFS send -i $snap1 $snap2 > $ibackup"
+log_must eval "zfs send -i $snap1 $snap2 > $ibackup"
 
-log_must $ZFS destroy $snap1
-log_must $ZFS destroy $snap2
-log_mustnot eval "$ZFS receive -F $fs < $ibackup"
+log_must zfs destroy $snap1
+log_must zfs destroy $snap2
+log_mustnot eval "zfs receive -F $fs < $ibackup"
 
-log_must $MKFILE 20m $mntpnt/file1
-log_must $RM -rf $mntpnt/file2
-log_must $ZFS snapshot $snap1
-log_mustnot eval "$ZFS receive -F $snap2 < $ibackup"
+log_must mkfile 20m $mntpnt/file1
+log_must rm -rf $mntpnt/file2
+log_must zfs snapshot $snap1
+log_mustnot eval "zfs receive -F $snap2 < $ibackup"
 
 log_pass "'zfs recv -F' should fail if the incremental stream does not match"
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_receive/zfs_receive_008_pos.ksh	Wed Aug 31 16:20:39 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_receive/zfs_receive_008_pos.ksh	Wed Aug 31 16:20:39 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/cli_root/cli_common.kshlib
 
 #
@@ -44,20 +48,20 @@
 {
 	for dset in $rst_snap $rst_fs $orig_snap; do
 		if datasetexists $dset; then
-			log_must $ZFS destroy -fr $dset
+			log_must zfs destroy -fr $dset
 		fi
 	done
 
 	for file in $fbackup $mnt_file $tmp_out; do
 		if [[ -f $file ]]; then
-			log_must $RM -f $file
+			log_must rm -f $file
 		fi
 	done
 
 	if datasetexists $TESTPOOL/$TESTFS; then
-		log_must $ZFS destroy -Rf $TESTPOOL/$TESTFS
-		log_must $ZFS create $TESTPOOL/$TESTFS
-		log_must $ZFS set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
+		log_must zfs destroy -Rf $TESTPOOL/$TESTFS
+		log_must zfs create $TESTPOOL/$TESTFS
+		log_must zfs set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
 	fi
 }
 
@@ -79,7 +83,7 @@
 	typeset dryrun_msg="would receive full stream of ${orig_snap} into ${rst_snap}"
 
 	if ! datasetexists $orig_fs; then
-		log_must $ZFS create $orig_fs
+		log_must zfs create $orig_fs
 	fi
 
 	typeset mntpnt
@@ -90,24 +94,24 @@
 
 	typeset mnt_file=$mntpnt/file1
 
-	log_must $MKFILE 100m $mnt_file
-	log_must $ZFS snapshot $orig_snap
-	log_must eval "$ZFS send $orig_snap > $fbackup"
+	log_must mkfile 100m $mnt_file
+	log_must zfs snapshot $orig_snap
+	log_must eval "zfs send $orig_snap > $fbackup"
 
 	for opt in "-v"  "-vn"; do
 		if datasetexists $rst_fs; then
-			log_must $ZFS destroy -fr $rst_fs
+			log_must zfs destroy -fr $rst_fs
 		fi
 		log_note "Check ZFS receive $opt [<filesystem|snapshot>]"
-		log_must eval "$ZFS receive $opt $rst_fs < $fbackup > $tmp_out 2>&1"
+		log_must eval "zfs receive $opt $rst_fs < $fbackup > $tmp_out 2>&1"
 		if [[ $opt == "-v" ]]; then
-			log_must eval "$GREP \"$verb_msg\" $tmp_out >/dev/null 2>&1"
+			log_must eval "grep \"$verb_msg\" $tmp_out >/dev/null 2>&1"
 			if ! datasetexists $rst_snap; then
 				log_fail "dataset was not received, even though the"\
 					" -v flag was used."
 			fi
 		else
-			log_must eval "$GREP \"$dryrun_msg\" $tmp_out >/dev/null 2>&1"
+			log_must eval "grep \"$dryrun_msg\" $tmp_out >/dev/null 2>&1"
 			if datasetexists $rst_snap; then
 				log_fail "dataset was received, even though the -nv"\
 					" flag was used."
@@ -117,9 +121,9 @@
 
 	log_note "Check ZFS receive -vn -d <filesystem>"
 	if ! datasetexists $rst_fs; then
-		log_must $ZFS create $rst_fs
+		log_must zfs create $rst_fs
 	fi
-	log_must eval "$ZFS receive -vn -d -F $rst_fs <$fbackup >$tmp_out 2>&1"
+	log_must eval "zfs receive -vn -d -F $rst_fs <$fbackup >$tmp_out 2>&1"
 	typeset relative_path=""
 	if [[ ${orig_fs} == *"/"* ]]; then
 		relative_path=${orig_fs#*/}
@@ -130,12 +134,12 @@
 	rst_snap=${leaf_fs}@snap
 	dryrun_msg="would receive full stream of ${orig_snap} into ${rst_snap}"
 
-	log_must eval "$GREP \"$dryrun_msg\" $tmp_out > /dev/null 2>&1"
+	log_must eval "grep \"$dryrun_msg\" $tmp_out > /dev/null 2>&1"
 
 	if datasetexists $rst_snap; then
 		log_fail "dataset $rst_snap should not existed."
 	fi
-	log_must $ZFS destroy -Rf $rst_fs
+	log_must zfs destroy -Rf $rst_fs
 
 	cleanup
 done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_receive/zfs_receive_009_neg.ksh	Wed Aug 31 16:20:39 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_receive/zfs_receive_009_neg.ksh	Wed Aug 31 16:20:39 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/cli_root/cli_common.kshlib
 
 #
@@ -45,15 +49,15 @@
 	typeset ds
 
 	if snapexists $snap; then
-		log_must $ZFS destroy $snap
+		log_must zfs destroy $snap
 	fi
 	for ds in $ctr1 $ctr2 $fs1; do
 		if datasetexists $ds; then
-			log_must $ZFS destroy -rf $ds
+			log_must zfs destroy -rf $ds
 		fi
 	done
 	if [[ -d $TESTDIR2 ]]; then
-		$RM -rf $TESTDIR2
+		rm -rf $TESTDIR2
 	fi
 }
 
@@ -74,28 +78,28 @@
 
 # Preparations for negative testing
 for ctr in $ctr1 $ctr2; do
-	log_must $ZFS create $ctr
+	log_must zfs create $ctr
 done
 if [[ -d $TESTDIR2 ]]; then
-	$RM -rf $TESTDIR2
+	rm -rf $TESTDIR2
 fi
-log_must $ZFS create -o mountpoint=$TESTDIR2 $fs1
-log_must $ZFS snapshot $snap
-log_must eval "$ZFS send $snap > $bkup"
+log_must zfs create -o mountpoint=$TESTDIR2 $fs1
+log_must zfs snapshot $snap
+log_must eval "zfs send $snap > $bkup"
 
 #Testing zfs receive fails with input from terminal
-log_mustnot eval "$ZFS recv $fs3 </dev/console"
+log_mustnot eval "zfs recv $fs3 </dev/console"
 
 # Testing with missing argument and too many arguments
 typeset -i i=0
 while (( i < ${#validopts[*]} )); do
-	log_mustnot eval "$ZFS recv < $bkup"
+	log_mustnot eval "zfs recv < $bkup"
 
-	$ECHO ${validopts[i]} | $GREP "d" >/dev/null 2>&1
+	echo ${validopts[i]} | grep "d" >/dev/null 2>&1
 	if (( $? != 0 )); then
-		log_mustnot eval "$ZFS recv ${validopts[i]} $fs2 $fs3 < $bkup"
+		log_mustnot eval "zfs recv ${validopts[i]} $fs2 $fs3 < $bkup"
 	else
-		log_mustnot eval "$ZFS recv ${validopts[i]} $ctr1 $ctr2 < $bkup"
+		log_mustnot eval "zfs recv ${validopts[i]} $ctr1 $ctr2 < $bkup"
 	fi
 
 	(( i += 1 ))
@@ -105,8 +109,8 @@
 i=0
 while (( i < ${#badopts[*]} ))
 do
-	log_mustnot eval "$ZFS recv ${badopts[i]} $ctr1 < $bkup"
-	log_mustnot eval "$ZFS recv ${badopts[i]} $fs2 < $bkup"
+	log_mustnot eval "zfs recv ${badopts[i]} $ctr1 < $bkup"
+	log_mustnot eval "zfs recv ${badopts[i]} $fs2 < $bkup"
 
 	(( i = i + 1 ))
 done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_receive/zfs_receive_010_pos.ksh	Wed Aug 31 16:20:39 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_receive/zfs_receive_010_pos.ksh	Wed Aug 31 16:20:39 2016
@@ -21,7 +21,7 @@
 #
 
 #
-# Copyright (c) 2015 by Delphix. All rights reserved.
+# Copyright (c) 2015, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -51,15 +51,15 @@
 	local mntpnt=$2
 	local type=$3
 	if [[ $type == "file" ]]; then
-		$DD if=/dev/urandom of=${mntpnt}/f$objnum bs=512 count=16
+		dd if=/dev/urandom of=${mntpnt}/f$objnum bs=512 count=16
 	elif [[ $type == "hole1" ]]; then
-		$DD if=/dev/urandom of=${mntpnt}/fh$objnum bs=512 count=5 stride=4
+		dd if=/dev/urandom of=${mntpnt}/fh$objnum bs=512 count=5 stride=4
 	elif [[ $type == "hole2" ]]; then
-		$DD if=/dev/urandom of=${mntpnt}/fh$objnum bs=512 count=4 stride=5
+		dd if=/dev/urandom of=${mntpnt}/fh$objnum bs=512 count=4 stride=5
 	elif [[ $type == "directory" ]]; then
-		$MKDIR ${mntpnt}/d$objnum
+		mkdir ${mntpnt}/d$objnum
 	elif [[ $type == "missing" ]]; then
-		$TOUCH ${mntpnt}/h$objnum
+		touch ${mntpnt}/h$objnum
 	fi
 }
 
@@ -76,17 +76,17 @@
 
 function cleanup
 {
-	$ZFS destroy -Rf $TESTPOOL/$TESTFS/base
+	zfs destroy -Rf $TESTPOOL/$TESTFS/base
 	rm /tmp/zr010p*
 }
 
 log_assert "zfs receive of full send as clone should work"
 log_onexit cleanup
-log_must $ZFS create -o checksum=sha256 -o compression=gzip -o recordsize=512 \
+log_must zfs create -o checksum=sha256 -o compression=gzip -o recordsize=512 \
 	$TESTPOOL/$TESTFS/base
 
-log_must $ZFS create $fs
-log_must $ZFS create $fs2
+log_must zfs create $fs
+log_must zfs create $fs2
 mntpnt=$(get_prop mountpoint $fs)
 mntpnt2=$(get_prop mountpoint $fs2)
 
@@ -129,13 +129,13 @@
 create_pair 17 $mntpnt $mntpnt2 "missing" "missing"
 
 # Receive a file with a different record size onto a file (and vice versa).
-log_must $ZFS set recordsize=128k $fs
-$DD if=/dev/urandom of=$mntpnt/f18 bs=128k count=64
-$TOUCH $mntpnt2/f18
+log_must zfs set recordsize=128k $fs
+dd if=/dev/urandom of=$mntpnt/f18 bs=128k count=64
+touch $mntpnt2/f18
 
 # Remove objects that are intended to be missing.
-$RM $mntpnt/h17
-$RM $mntpnt2/h*
+rm $mntpnt/h17
+rm $mntpnt2/h*
 
 # Add empty objects to $fs to exercise dmu_traverse code
 for i in `seq 1 100`; do
@@ -142,11 +142,11 @@
 	log_must touch $mntpnt/uf$i
 done
 
-log_must $ZFS snapshot $fs@s1
-log_must $ZFS snapshot $fs2@s1
+log_must zfs snapshot $fs@s1
+log_must zfs snapshot $fs2@s1
 
-log_must $ZFS send $fs@s1 > /tmp/zr010p
-log_must $ZFS send $fs2@s1 > /tmp/zr010p2
+log_must zfs send $fs@s1 > /tmp/zr010p
+log_must zfs send $fs2@s1 > /tmp/zr010p2
 
 
 #
@@ -153,7 +153,7 @@
 # Test that, when we receive a full send as a clone of itself,
 # nop-write saves us all the space used by data blocks.
 #
-cat /tmp/zr010p | log_must $ZFS receive -o origin=$fs@s1 $rfs
+cat /tmp/zr010p | log_must zfs receive -o origin=$fs@s1 $rfs
 size=$(get_prop used $rfs)
 size2=$(get_prop used $fs)
 if [[ $size -ge $(($size2 / 10)) ]] then
@@ -160,18 +160,18 @@
         log_fail "nop-write failure; expected usage less than "\
 		"$(($size2 / 10)), but is using $size"
 fi
-log_must $ZFS destroy -fr $rfs
+log_must zfs destroy -fr $rfs
 
 # Correctness testing: receive each full send as a clone of the other fiesystem.
-cat /tmp/zr010p | log_must $ZFS receive -o origin=$fs2@s1 $rfs
+cat /tmp/zr010p | log_must zfs receive -o origin=$fs2@s1 $rfs
 mntpnt_old=$(get_prop mountpoint $fs)
 mntpnt_new=$(get_prop mountpoint $rfs)
-log_must $DIFF -r $mntpnt_old $mntpnt_new
-log_must $ZFS destroy -r $rfs
+log_must diff -r $mntpnt_old $mntpnt_new
+log_must zfs destroy -r $rfs
 
-cat /tmp/zr010p2 | log_must $ZFS receive -o origin=$fs@s1 $rfs
+cat /tmp/zr010p2 | log_must zfs receive -o origin=$fs@s1 $rfs
 mntpnt_old=$(get_prop mountpoint $fs2)
 mntpnt_new=$(get_prop mountpoint $rfs)
-log_must $DIFF -r $mntpnt_old $mntpnt_new
+log_must diff -r $mntpnt_old $mntpnt_new
 
 log_pass "zfs receive of full send as clone works"
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_receive/zfs_receive_011_pos.ksh	Wed Aug 31 16:20:39 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_receive/zfs_receive_011_pos.ksh	Wed Aug 31 16:20:39 2016
@@ -18,6 +18,10 @@
 # Copyright 2015, OmniTI Computer Consulting, Inc. All rights reserved.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -43,9 +47,9 @@
 
 function cleanup
 {
-	log_must $RM $streamfile
-	log_must $ZFS destroy -rf $TESTPOOL/$TESTFS1
-	log_must $ZFS destroy -rf $TESTPOOL/$TESTFS2
+	log_must rm $streamfile
+	log_must zfs destroy -rf $TESTPOOL/$TESTFS1
+	log_must zfs destroy -rf $TESTPOOL/$TESTFS2
 }
 
 log_assert "refquota is properly sent-and-received, regardless of any " \
@@ -55,30 +59,30 @@
 orig=$TESTPOOL/$TESTFS1
 dest=$TESTPOOL/$TESTFS2
 #	1. Create a filesystem.
-log_must $ZFS create $orig
+log_must zfs create $orig
 origdir=$(get_prop mountpoint $orig)
 
 #	2. Create two equal-sized large files.
-log_must $MKFILE 5M $origdir/file1
-log_must $MKFILE 5M $origdir/file2
-log_must $SYNC
+log_must mkfile 5M $origdir/file1
+log_must mkfile 5M $origdir/file2
+log_must sync
 
 #	3. Snapshot the filesystem.
-log_must $ZFS snapshot $orig@1
+log_must zfs snapshot $orig@1
 
 #	4. Remove one of the two large files.
-log_must $RM $origdir/file2
-log_must $SYNC
+log_must rm $origdir/file2
+log_must sync
 
 #	5. Create a refquota larger than one file, but smaller than both.
-log_must $ZFS set refquota=8M $orig
+log_must zfs set refquota=8M $orig
 
 #	6. Snapshot the filesystem again.
-log_must $ZFS snapshot $orig@2
+log_must zfs snapshot $orig@2
 
 #	7. Send a replication stream of the second snapshot to a new filesystem.
-log_must eval "$ZFS send -R $orig@2 > $streamfile"
-log_must eval "$ZFS recv $dest < $streamfile"
+log_must eval "zfs send -R $orig@2 > $streamfile"
+log_must eval "zfs recv $dest < $streamfile"
 
 log_pass "refquota is properly sent-and-received, regardless of any " \
 	"intermediate snapshots sent by a replication stream."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_receive/zfs_receive_012_pos.ksh	Wed Aug 31 16:20:40 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_receive/zfs_receive_012_pos.ksh	Wed Aug 31 16:20:40 2016
@@ -44,9 +44,9 @@
 
 function cleanup
 {
-	log_must $RM $streamfile
-	log_must $ZFS destroy -rf $TESTPOOL/$TESTFS1
-	log_must $ZFS destroy -rf $TESTPOOL/$TESTFS2
+	log_must rm $streamfile
+	log_must zfs destroy -rf $TESTPOOL/$TESTFS1
+	log_must zfs destroy -rf $TESTPOOL/$TESTFS2
 }
 
 log_assert "The allowable slight refquota overage is properly sent-and-" \
@@ -57,27 +57,27 @@
 dest=$TESTPOOL/$TESTFS2
 
 #	1. Create a filesystem.
-log_must $ZFS create $orig
+log_must zfs create $orig
 origdir=$(get_prop mountpoint $orig)
 
 #	2. Set a refquota.
-log_must $ZFS set refquota=50M $orig
+log_must zfs set refquota=50M $orig
 
 #	3. Snapshot the filesystem.
-log_must $ZFS snapshot $orig@1
+log_must zfs snapshot $orig@1
 
 #	4. Send a replication stream to a new filesystem.
-log_must eval "$ZFS send -R $orig@1 > $streamfile"
-log_must eval "$ZFS recv $dest < $streamfile"
+log_must eval "zfs send -R $orig@1 > $streamfile"
+log_must eval "zfs recv $dest < $streamfile"
 
 #	5. On the original filesystem, fill it up to its quota.
 cat < /dev/urandom > $origdir/fill-it-up
 
 #	6. Snapshot the original filesystem again.
-log_must $ZFS snapshot $orig@2
+log_must zfs snapshot $orig@2
 
 #	7. Send an incremental stream to the same new filesystem.
-log_must eval "$ZFS send -I 1 -R $orig@2 > $streamfile"
-log_must eval "$ZFS recv $dest < $streamfile"
+log_must eval "zfs send -I 1 -R $orig@2 > $streamfile"
+log_must eval "zfs recv $dest < $streamfile"
 
 log_pass "Verified receiving a slightly-over-refquota stream succeeds."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_rename/cleanup.ksh	Wed Aug 31 16:20:40 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_rename/cleanup.ksh	Wed Aug 31 16:20:40 2016
@@ -25,12 +25,16 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 default_cleanup_noexit
 
 if [[ -d $TESTDIR2 ]]; then
-        $RM -rf $TESTDIR2
+        rm -rf $TESTDIR2
         if (( $? != 0 )); then
                 log_unresolved Could not remove $TESTDIR2
         fi
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_rename/setup.ksh	Wed Aug 31 16:20:40 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_rename/setup.ksh	Wed Aug 31 16:20:40 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -37,13 +37,13 @@
 default_setup_noexit "$DISK" "true" "true"
 
 if [[ -d $TESTDIR2 ]]; then
-	$RM -rf $TESTDIR2
+	rm -rf $TESTDIR2
 	if (( $? != 0 )); then
 		log_unresolved Could not remove $TESTDIR2
 	fi
 fi
-log_must $ZFS create $TESTPOOL/$DATAFS
-log_must $ZFS set mountpoint=$TESTDIR2 $TESTPOOL/$DATAFS
-log_must eval "$DD if=$IF of=$OF bs=$BS count=$CNT >/dev/null 2>&1"
+log_must zfs create $TESTPOOL/$DATAFS
+log_must zfs set mountpoint=$TESTDIR2 $TESTPOOL/$DATAFS
+log_must eval "dd if=$IF of=$OF bs=$BS count=$CNT >/dev/null 2>&1"
 
 log_pass
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_rename/zfs_rename.kshlib	Wed Aug 31 16:20:40 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_rename/zfs_rename.kshlib	Wed Aug 31 16:20:40 2016
@@ -25,7 +25,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_root/zfs_rename/zfs_rename.cfg
@@ -33,34 +33,34 @@
 function additional_setup
 {
 	# Create testfile
-	log_must $CP $DATA $TESTDIR/$TESTFILE0
-	log_must $CP $DATA $TESTDIR1/$TESTFILE0
+	log_must cp $DATA $TESTDIR/$TESTFILE0
+	log_must cp $DATA $TESTDIR1/$TESTFILE0
 
 	# Create snapshot
 	if ! snapexists $TESTPOOL/$TESTFS@snapshot; then
-		log_must $ZFS snapshot $TESTPOOL/$TESTFS@snapshot
-		log_must $ZFS clone $TESTPOOL/$TESTFS@snapshot \
+		log_must zfs snapshot $TESTPOOL/$TESTFS@snapshot
+		log_must zfs clone $TESTPOOL/$TESTFS@snapshot \
 		    $TESTPOOL/$TESTFS-clone
 	fi
 
 	# Create file system
 	datasetexists $TESTPOOL/$TESTFS1 || \
-		log_must $ZFS create $TESTPOOL/$TESTFS1
+		log_must zfs create $TESTPOOL/$TESTFS1
 
 	# Create testfile
-	log_must $CP $DATA $(get_prop mountpoint $TESTPOOL/$TESTFS1)/$TESTFILE0
+	log_must cp $DATA $(get_prop mountpoint $TESTPOOL/$TESTFS1)/$TESTFILE0
 
 	# Create container
 	datasetexists $TESTPOOL/$TESTCTR1 || \
-		log_must $ZFS create $TESTPOOL/$TESTCTR1
-	log_must $CP $DATA $(get_prop mountpoint $TESTPOOL/$TESTCTR1)/$TESTFILE0
+		log_must zfs create $TESTPOOL/$TESTCTR1
+	log_must cp $DATA $(get_prop mountpoint $TESTPOOL/$TESTCTR1)/$TESTFILE0
 
 	# Create data in zvol
 	if is_global_zone; then
-		log_must eval "$DD if=$DATA of=$VOL_R_PATH bs=$BS count=$CNT \
+		log_must eval "dd if=$DATA of=$VOL_R_PATH bs=$BS count=$CNT \
 				>/dev/null 2>&1"
 	else
-		log_must $CP $DATA $(get_prop mountpoint $TESTPOOL/$TESTVOL)/$TESTFILE0
+		log_must cp $DATA $(get_prop mountpoint $TESTPOOL/$TESTVOL)/$TESTFILE0
 	fi
 
 }
@@ -70,7 +70,7 @@
 	typeset src=$1
 	typeset dest=$2
 
-	log_must $ZFS rename $src $dest
+	log_must zfs rename $src $dest
 
 	#
 	# Verify src name no longer in use
@@ -89,17 +89,17 @@
 		fi
 
                 if [[ ${dataset[i]}-new != *@* ]] ; then
-                        $ZFS rename ${dataset[i]}-new ${dataset[i]}
+                        zfs rename ${dataset[i]}-new ${dataset[i]}
                         if [[ $? -ne 0 ]]; then
                                 typeset newfs=${dataset[i]}-new
                                 typeset oldfs=${dataset[i]}
                                 typeset mntp=$(get_prop mountpoint  $newfs)
-                                log_must $ZFS destroy -f $newfs
-                                log_must $ZFS create -p $oldfs
-                                log_must $ZFS set mountpoint=$mntp $oldfs
+                                log_must zfs destroy -f $newfs
+                                log_must zfs create -p $oldfs
+                                log_must zfs set mountpoint=$mntp $oldfs
                         fi
                 else
-                        log_must $ZFS destroy -fR ${dataset[i]}-new
+                        log_must zfs destroy -fR ${dataset[i]}-new
                 fi
 
                 ((i = i + 1))
@@ -106,7 +106,7 @@
 	done
 
 	if snapexists $TESTPOOL/$TESTFS@snapshot; then
-		log_must $ZFS destroy -fR $TESTPOOL/$TESTFS@snapshot
+		log_must zfs destroy -fR $TESTPOOL/$TESTFS@snapshot
 	fi
 
 }
@@ -116,7 +116,7 @@
         typeset src=$1
         typeset tgt=$2
 
-        $CMP $src $tgt >/dev/null 2>&1
+        cmp $src $tgt >/dev/null 2>&1
 
         return $?
 }
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_rename/zfs_rename_001_pos.ksh	Wed Aug 31 16:20:40 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_rename/zfs_rename_001_pos.ksh	Wed Aug 31 16:20:40 2016
@@ -24,6 +24,11 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_rename/zfs_rename.kshlib
 
@@ -86,7 +91,7 @@
 
 #verify the data integrity in zvol
 if is_global_zone; then
-	log_must eval "$DD if=${VOL_R_PATH}-new of=$VOLDATA bs=$BS count=$CNT >/dev/null 2>&1"
+	log_must eval "dd if=${VOL_R_PATH}-new of=$VOLDATA bs=$BS count=$CNT >/dev/null 2>&1"
 	if ! cmp_data $VOLDATA $DATA ; then
 		log_fail "$VOLDATA gets corrupted after rename operation."
 	fi
@@ -96,7 +101,7 @@
 typeset -i i=0
 while ((i < ${#dataset[*]} )); do
 	if datasetexists ${dataset[i]}-new ; then
-                log_must $ZFS rename ${dataset[i]}-new ${dataset[i]}
+                log_must zfs rename ${dataset[i]}-new ${dataset[i]}
 	fi
         ((i = i + 1))
 done
